From b8ae6cca6ad4446c3a1dd2d5356605c944d70072 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 15 May 2024 10:28:29 +0200
Subject: [PATCH 02/10] Revert "doc:  clarify PERIOD and WITHOUT OVERLAPS in
 CREATE TABLE"

This reverts commit c3db1f30cbaff4b96325615557de1f3528d5fd4a.
---
 doc/src/sgml/ref/create_table.sgml | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

diff --git a/doc/src/sgml/ref/create_table.sgml b/doc/src/sgml/ref/create_table.sgml
index a5bf80fb27e..ee169c5b772 100644
--- a/doc/src/sgml/ref/create_table.sgml
+++ b/doc/src/sgml/ref/create_table.sgml
@@ -1183,13 +1183,11 @@ <title>Parameters</title>
       referent for its entire duration.  This column must be a range or
       multirange type.  In addition, the referenced table must have a primary
       key or unique constraint declared with <literal>WITHOUT
-      OVERLAPS</literal>. Finally, if the foreign key has a PERIOD
-      <replaceable class="parameter">column_name</replaceable> specification
-      the corresponding <replaceable class="parameter">refcolumn</replaceable>,
-      if present, must also be marked <literal>PERIOD</literal>.  If the
-      <replaceable class="parameter">refcolumn</replaceable> clause is omitted,
-      and thus the reftable's primary key constraint chosen, the primary key
-      must have its final column marked <literal>WITHOUT OVERLAPS</literal>.
+      OVERLAPS</literal>.  Finally, if one side of the foreign key uses
+      <literal>PERIOD</literal>, the other side must too.  If the <replaceable
+      class="parameter">refcolumn</replaceable> list is omitted, the
+      <literal>WITHOUT OVERLAPS</literal> part of the primary key is treated
+      as if marked with <literal>PERIOD</literal>.
      </para>
 
      <para>
-- 
2.44.0

